Skip to content
Chatto v0.5.0

ServerService

Chatto exposes this service below /api/connect.

Shared message and enum definitions are documented in Shared Types And Enums.

Provides authenticated server-wide reads.

Returns the current public server profile to an authenticated caller.

POST /api/connect/chatto.api.v1.ServerService/GetServerProfile

Request for the authenticated public server profile.

Authenticated public server profile response.

FieldTypeDescription
profileServerPublicProfileCurrent public server profile.

Returns the authenticated message of the day.

POST /api/connect/chatto.api.v1.ServerService/GetMotd

Request for the authenticated message of the day.

Authenticated message of the day response.

FieldTypeDescription
motdoptional stringOptional message of the day shown to authenticated members.

Returns authenticated runtime settings used by clients.

POST /api/connect/chatto.api.v1.ServerService/GetRuntimeConfig

Request for authenticated server runtime configuration.

Authenticated server runtime configuration response.

FieldTypeDescription
runtimeServerRuntimeConfigAuthenticated runtime settings used by clients.